"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/** @private */
exports.flat = (arr) => arr.flat ? arr.flat() : [].concat.apply([], arr); // eslint-disable-line prefer-spread
class FormatError extends Error {
    constructor(obj) {
        super(`Unable to format ${obj && obj.constructor ? obj.constructor.name : obj}`);
        this.name = 'FormatError';
    }
}
exports.FormatError = FormatError;
