"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * An error that is thrown when an `awaitMessage` call expires.
 */
// eslint-disable-next-line import/prefer-default-export
class AwaitTimeout extends Error {
    /* istanbul ignore next */
    constructor(message) {
        super(message);
        this.name = 'AwaitTimeout';
        this.stack = new Error().stack;
    }
}
exports.AwaitTimeout = AwaitTimeout;
